=== debian/changelog ===
igerman98 (20151222-1) unstable; urgency=medium

  * New upstream version 20151222.
  * Adapt all patches to new version.
  * Remove 19_Bendenkminuteen.patch and 20_builddate.patch, because they
    are incorporated upstream.
  * Switch from classic debhelper to dh.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 30 Dec 2015 15:54:06 +0100

igerman98 (20131206-6) unstable; urgency=low

  * Link de_LU.dic to de_DE.dic instead of de_DE.aff (Closes: #753545).
  * Run gzip -n to avoid time stamps in compressed files.
  * 20_builddate: Use debian/changelog timestamp instead of current date
    as BUILD_DATE.
  * Update to Standards-Version 3.9.6 (no changes). 

 -- Roland Rosenfeld <roland@debian.org>  Fri, 21 Aug 2015 11:40:46 +0200
