## igerman98 20160407

=== debian/changelog ===
igerman98 (20160407-1) unstable; urgency=medium

  * New upstream version 20160407.
  * Adapt all patches to new version.
  * Remove 19_grep-a.patch and use busybox as grep instead.
  * Depend on ispell >= 3.4.00-5~ and undo munchlist workaround for
    "grep -a", since 3.4.00-5 has fixed this.
  * 20_subtraktiv: Add missing word "subtraktiv" (Closes: #815619).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 08 Apr 2016 09:34:31 +0200

igerman98 (20151222-2) unstable; urgency=medium

  * Add -p to QUILT_DIFF_OPTS.
  * Run wrap-and-sort.
  * Fix old openoffice dependencies.
  * Update to Standards-Version 3.9.7 (no changes).
  * Change priority of myspell-* dictionaries to extra, since the
    hunspell-* dictionaries are preferred.
  * Merge all copyright files to one new DEP-5 compliant one.
  * 19_grep-a: Use "grep -a" to make sure, that grep takes latin1 as text
    and force munchlist to use "-a" internally, too.
  * Remove debian/aspell-de.postrm since this is empty and will be
    autogenerated by debhelper.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 20 Feb 2016 12:20:13 +0100
