=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (C) 1999-2015 Roland Rosenfeld <roland@debian.org>, based on
+# (C) 1999-2016 Roland Rosenfeld <roland@debian.org>, based on
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -13,6 +13,7 @@
 	dh $@
 
 override_dh_auto_build:
+	ln -s /bin/busybox bin/grep
 	$(MAKE) ispell/de_DE.aff all.words.de_DE.tmp
 #	$(MAKE) ispell/de_AT.aff all.words.de_AT.tmp
 	$(MAKE) ispell/de_CH.aff all.words.de_CH.tmp
@@ -35,6 +36,7 @@
 	$(MAKE) aspell/de_CH-only.cwl aspell/de_AT-only.cwl
 
 override_dh_clean:
+	rm -f bin/grep
 	dh_clean
 	$(MAKE) clean
 	rm -f debian/ingerman.config debian/ingerman.templates
@@ -42,15 +44,8 @@
 	rm -f debian/iswiss.config debian/iswiss.templates
 	rm -f debian/wswiss.config debian/wswiss.templates
 
-	rm -f debian/hunspell-de-at.copyright debian/hunspell-de-ch.copyright
-	rm -f debian/wswiss.copyright
-
 override_dh_install-indep:
 	dh_install
-#	copyright files:
-	cp debian/hunspell-de-de.copyright debian/hunspell-de-at.copyright
-	cp debian/hunspell-de-de.copyright debian/hunspell-de-ch.copyright
-	cp debian/wngerman.copyright debian/wswiss.copyright
 
 #	ingerman (binary-indep):
 	install -o root -g root -m644 ispell/de_DE.aff \
